<!DOCTYPE html>
<html lang="en">

<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
<title>BeatTime</title>

<!-- Bootstrap -->
<link href="styles/bootstrap.min.css" rel="stylesheet">
<link href="styles/main.css" rel="stylesheet">
<link
	href='https://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700,800,400italic'
	rel='stylesheet' type='text/css'>
<link rel="stylesheet"
	href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css">

<script src="scripts/jquery.min.js"></script>
<script src="scripts/bootstrap.min.js"></script>
<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>

<body>

	<!--Section for logo and header -->
	<div id="logosection">
		<div class="container-fluid">
			<!-- <div class="row"> -->
			<div class="navbar-collapse hidden-xs">
				<div class="nav pull-right">
					<ul class="nav navbar-nav navbar-right">
						<li class="dropdown" id="menuLogin"><a
							class="dropdown-toggle login-button" href="#"
							data-toggle="dropdown" id="navLogin">Log in</a>
							<div class="dropdown-menu" style="padding: 17px;">
								<form class="form" id="formLogin">
									<div class="form-group">
										<input name="username" id="username" class="form-control"
											type="text" placeholder="Username">
									</div>
									<div class="form-group">
										<input name="password" id="password" class="form-control"
											type="password" placeholder="Password">
									</div>
									<div class="form-group <text-right></text-right>">
										<button type="button" id="btnLogin"
											class="btn login-button-below">Login</button>
									</div>
								</form>
							</div></li>
						<li><a> or </a></li>
						<li>
							<button type="button" class="btn register-button">Register</button>
						</li>
						<br>
						<li class="hidden-xs hidden-sm">For BeatTime to remember your
							location</li>
					</ul>
				</div>
				<div class="modal fade" id="registration" tabindex="-1"
					role="dialog" aria-labelledby="myModalLabel">
					<div class="modal-dialog" role="document">
						<div class="modal-content">
							<div class="modal-header">
								<button type="button" class="close" data-dismiss="modal"
									aria-label="Close">
									<span aria-hidden="true">&times;</span>
								</button>
								<h4 class="modal-title" id="myModalLabel">Register</h4>
							</div>
							<form class="form" id="formRegister" action="" method="POST">
								<div class="modal-body">

									<div class="form-group">
										<input name="usernameRegister" id="usernameRegister"
											class="form-control" type="text" placeholder="Username">
									</div>
									<div class="form-group">
										<input name="emailRegister" id="emailRegister"
											class="form-control" type="email" placeholder="E-mail">
									</div>
									<div class="form-group">
										<input name="passwordRegister" id="passwordRegister"
											class="form-control" type="password" placeholder="Password">
									</div>
								</div>
								<div class="modal-footer">
									<button type="button" class="btn register-submit"
										id="btnRegister" class="btn login-button-below" onclick="validateAll();">Register</button>
								</div>
							</form>
						</div>
					</div>
				</div>
			</div>
			<!-- </div> -->
			<div class="row">
				<div class="col-sm-3 col-xs-12">
					<img class="logo img-responsive" src="img/BeatLogo.png" alt="Logo" />
				</div>
				<div class="col-sm-9 hidden-xs">
					<h1 class="introtext">Time zone matching made easy</h1>
					<h2 class="introsub">Find the best time to connect with
						friends in any time zone</h2>
				</div>
			</div>
		</div>
	</div>

	<div id="blueArea">
		<!--section for app-->
		<div id="map">
			<div class="container-fluid">
				<div class="row-fluid">
					<div class="col-md-7 worldmap">
						<img src="img/worldmap.png" class="img-responsive" alt="WorldMap" />
						<!-- Here goes the output from java class -->
						<div class="col-sm-5 outputtext" style="display: none">
							<p>The best time for you to connect is</p>
							<p id="yourTime" style="display: none">
								<span></span> for you
							</p>
							<p id="friendsTime" style="display: none">
								<span></span> for your friend
							</p>
							<p id="friendsTime2" style="display: none">
								<span></span> for your 2nd friend
							</p>
							<p id="friendsTime3" style="display: none">
								<span></span> for your 3rd friend
							</p>
							<p id="friendsTime4" style="display: none">
								<span></span> for your 4th friend
							</p>
						</div>
					</div>
					<form class="col-sm-5 form-horizontal form__inline">
						<div id="inputFields">
							<div class="form-group">
								<label for="YourLoc" class="col-sm-5 control-label">Your
									location</label>
								<div class="col-sm-7">
									<input type="location" class="form-control controls" id="YourLoc"
										placeholder="Magical wonderland" name="YourLoc">
								</div>
							</div>
							<div class="form-group">
								<label for="FriendsLoc" class="col-sm-5 control-label">Friend's
									location</label>
								<div class="col-sm-7">
									<input type="location" class="form-control controls" id="FriendsLoc"
										placeholder="Overseas kingdom" name="FriendsLoc">
								</div>
							</div>
							<div class="form-group friendsLoc2" style="display: none;">
								<label for="FriendsLoc" class="col-sm-5 control-label">2nd
									Friend's location</label>
								<div class="col-sm-7">
									<input type="location" class="form-control controls" id="FriendsLoc2"
										placeholder="Dungeon">
								</div>
							</div>
							<div class="form-group friendsLoc3" style="display: none;">
								<label for="FriendsLoc" class="col-sm-5 control-label">3rd
									Friend's location</label>
								<div class="col-sm-7">
									<input type="location" class="form-control controls" id="FriendsLoc3"
										placeholder="Strawberry field">
								</div>
							</div>
							<div class="form-group friendsLoc4" style="display: none;">
								<label for="FriendsLoc" class="col-sm-5 control-label">4th
									Friend's location</label>
								<div class="col-sm-7">
									<input type="location" class="form-control controls" id="FriendsLoc4"
										placeholder="Your mom's">
								</div>
							</div>
						</div>

						<div class="form-group">
							<div class="col-sm-offset-5 col-sm-7">
								<button type="button" class="btn addnewfriend">
									<i class="fa fa-plus fa-lg"></i> Add more friends
								</button>
							</div>
						</div>
						<div class="form-group">
							<div class="col-sm-offset-5 col-sm-7">
								<button type="button" class="btn findmutual">Find
									mutual daytime</button>
							</div>
						</div>
					</form>
					<div class="col-md-offset-1"></div>
					<!-- Modal to display when error occours -->
					<!-- Modal -->
					<div class="modal fade" id="myModal" tabindex="-1" role="dialog"
						aria-labelledby="myModalLabel">
						<div class="modal-dialog" role="document">
							<div class="modal-content">
								<div class="modal-header">
									<button type="button" class="close" data-dismiss="modal"
										aria-label="Close">
										<span aria-hidden="true">&times;</span>
									</button>
									<h4 class="modal-title" id="myModalLabel">ERROR</h4>
								</div>
								<div class="modal-body">Something bad happened. Check your
									input.</div>
								<div class="modal-footer">
									<button type="button" class="btn btn-primary"
										data-dismiss="modal">Close</button>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
		<!-- Include all compiled plugins (below), or include individual files as needed -->
		<!--script src="scripts/bootstrap.min.js"></script-->
		<!-- Code for interactive site -->
		<script src="scripts/app.js"></script>
		<script src="scripts/validation.js"></script>
        <script src="scripts/login.js"></script>
        <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCDjIdxxX9wkOFCXK4G34twf85WNF8jNAo&libraries=places&callback=initAutocomplete" async defer></script>
        
</body>

</html>
